[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[or-cvs] r21856: {projects} Fix from Bunnie for lib install; better build messages (in projects/chumby: . src)
Author: ioerror
Date: 2010-03-08 08:17:29 +0000 (Mon, 08 Mar 2010)
New Revision: 21856
Modified:
projects/chumby/build.sh
projects/chumby/src/userhook2
Log:
Fix from Bunnie for lib install; better build messages
Modified: projects/chumby/build.sh
===================================================================
--- projects/chumby/build.sh 2010-03-08 07:01:11 UTC (rev 21855)
+++ projects/chumby/build.sh 2010-03-08 08:17:29 UTC (rev 21856)
@@ -11,7 +11,7 @@
# Perhaps you'd want to use Tor alpha releases in the future?
#TOR_SRC="https://www.torproject.org/dist/tor-0.2.2.8-alpha.tar.gz"
-TOR_VER="0.2.1.23";
+TOR_VER="0.2.1.24";
TOR_SRC="https://www.torproject.org/dist/tor-$TOR_VER.tar.gz";
LIBEVENT_VER="1.4.13-stable";
LIBEVENT_SRC="http://www.monkey.org/~provos/libevent-$LIBEVENT_VER.tar.gz";
@@ -34,6 +34,14 @@
echo "Attempting to fetch required source code...";
wget $TOR_SRC $LIBEVENT_SRC $OPENSSL_SRC $ZLIB_SRC;
+if [ ! -f ./tor-$TOR_VER.tar.gz ]
+then
+ echo "Attempted to fetch tor-$TOR_VER.tar.gz but failed: maybe there is a new version and you need to update the script?";
+ echo "Please visit http://www.torproject.org/dist/ and modify build.sh tor version accordingly.";
+ echo "No tor source, aborting...";
+ exit 1
+fi
+
# unpack everything
echo "Unpacking source code...";
for package in `ls -1|grep tar.gz`;
@@ -74,6 +82,7 @@
cd tor-$TOR_VER;
# There may be value in adding --enable-openbsd-malloc at some point
./configure --host=arm-linux \
+ --enable-openbsd-malloc \
--with-libevent-dir=/usr/arm-linux/local/ \
--with-openssl-dir=/usr/arm-linux/local/ssl/ \
--includedir=/usr/arm-linux/local/ssl/include/ \
Modified: projects/chumby/src/userhook2
===================================================================
--- projects/chumby/src/userhook2 2010-03-08 07:01:11 UTC (rev 21855)
+++ projects/chumby/src/userhook2 2010-03-08 08:17:29 UTC (rev 21856)
@@ -50,7 +50,7 @@
# install the necessary libraries into the library path
system("mkdir -p /mnt/storage/lib");
-system("mv -f /mnt/storage/tor/lib/* /mnt/storage/lib");
+system("mv -f /mnt/storage/tor/libs/* /mnt/storage/lib");
# create symlinks so we can access the tor logfile from the web
system("mkdir -p /psp/cgi-bin");